Bug 1735141 - OpenShift Jenkins Sync triggers multiple, redundant builds
Summary: OpenShift Jenkins Sync triggers multiple, redundant builds
Keywords:
Status: ASSIGNED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Jenkins
Version: 3.11.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.11.z
Assignee: Akram Ben Aissi
QA Contact: XiuJuan Wang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-31 18:49 UTC by Josh Foots
Modified: 2019-11-11 13:52 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
thread dump and projects metrics (258.16 KB, application/gzip)
2019-11-06 07:46 UTC, Akram Ben Aissi
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift jenkins-sync-plugin pull 329 'None' 'closed' 'Bug 1735141: Fixes conccurency issue with multiple-thread trying to trigger already running jobs' 2019-11-27 00:05:32 UTC
Github openshift jenkins pull 912 'None' 'closed' 'Bug 1735141: 3.11 bump jenkins sync plugin to 1.41' 2019-11-27 00:05:32 UTC
Github openshift jenkins pull 913 'None' 'closed' 'Bug 1735141: 3.11 bump jenkins sync plugin to 1.41' 2019-11-27 00:05:31 UTC

Comment 3 Akram Ben Aissi 2019-08-09 17:42:13 UTC
Hi,

thank your for the provided analysis. Based on this analysis and deeper investigation, we pushed a pull request which is currently under review and we plan to cut a new version once the PR is merged.

Comment 5 Akram Ben Aissi 2019-08-13 08:51:30 UTC
The release commit which contains the backport to 3.11 images is here:
https://github.com/openshift/jenkins/pull/913

Comment 15 Akram Ben Aissi 2019-11-06 07:46:05 UTC
Created attachment 1633220 [details]
thread dump and projects metrics

Comment 16 XiuJuan Wang 2019-11-06 11:46:25 UTC
@Akram 
Thanks1
You still can reproduce it with 1.0.41 sync or you just reproduce with lower version?

Comment 17 XiuJuan Wang 2019-11-06 12:05:39 UTC
Customer still could reproduce the bug issue with 1.0.41 openshift-sync plugins, assign bug back.

Comment 18 Akram Ben Aissi 2019-11-06 12:45:11 UTC
I am working closely with customer to analyse it and try to provide a patch.
Customer provided thread dumps now and some metrics where the issue happens.
Based on preliminary analysis we are seeing an important number of threads of type: "OkHttp WebSocket https://kubernetes.default/..." .
I am following this path which has been already reported as a cause of connection leak with one of our dependencies.


Note You need to log in before you can comment on or make changes to this bug.